﻿using System;
using ThinkGeo.MapSuite;
using ThinkGeo.MapSuite.Layers;
using ThinkGeo.MapSuite.Styles;
using ThinkGeo.MapSuite.WebForms;
using ThinkGeo.MapSuite.Shapes;

namespace _9455
{
    public partial class WebForm1 : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                Map1.MapUnit = GeographyUnit.Meter;

                ThinkGeoCloudMapsOverlay cloudOverlay = new ThinkGeoCloudMapsOverlay();
                cloudOverlay.WrapDateline = WrapDatelineMode.WrapDateline;
                Map1.CustomOverlays.Add(cloudOverlay);

                RectangleShape rect = new RectangleShape(-20000000, 20000000, 20000000, -20000000);

                LayerOverlay layerOverlay = new LayerOverlay();
                NativeImageRasterLayer layer = new NativeImageRasterLayer(MapPath(@"App_Data\World.gif"), rect);
                layerOverlay.Layers.Add(layer);
                Map1.CustomOverlays.Add(layerOverlay);

                Map1.CurrentExtent = rect;
            }
        }
    }
}